/* pcmove.c - Test Position Control move
   aw - 16/9/00
*/

#include <stdio.h>
#include <stdlib.h>

#define LINUXBOT 1
#include "robot.c"

int main( int argc, char *argv[] )
{
	robot Bot;
	float ldist, rdist;
	
	if (argc != 3)
	{
		printf("Usage:  pcmove ldistance(m) rdistance(m)\n");
		exit(1);
	}
	
	ldist = (float) atof( argv[1] );
	rdist = (float) atof( argv[2] );

	if ( !accessPorts() )
	{
		printf("Port access denied.. root privileges needed!\n");
	}
	else
	{
		resetBot( &Bot );
		setMode( &Bot, PC_MODE );
		posMove( &Bot, ldist, rdist );
	}
}