/* Use the Trapezoid profile move to describe a 1m square
   AW - 16/9/00
*/

#include <stdio.h>

#define LINUXBOT 1
#include "robot.c"

int main( void )
{
	robot Bot;
	int i;
	
	/* request access to the motor drive ports.. */
	if ( !accessPorts() )
	{
		printf("Port access denied.. root privileges needed!\n");
		exit(1);
	}

	resetBot( &Bot );
	setMode( &Bot, TP_MODE );

	for (i=0; i<4; i++)
	{
		posMove( &Bot, 1, 1 );
		waitforTPMove( &Bot );
		printf(".\n");
		rotate( &Bot, 90 ); 	
		waitforTPMove( &Bot );
		printf(".\n");
	} 
}
